"use strict";

var _chai = require("chai");

var _addInteractionTypes = require("../addInteractionTypes");

var _constants = require("@instructure/quiz-common/lib/constants");

describe('interaction types action creators', function () {
  it('returns a well-formed start edit action', function () {
    var arrayOfTypes = ['some type here'];
    var addTypesAction = (0, _addInteractionTypes.addInteractionTypes)(arrayOfTypes);
    (0, _chai.expect)(addTypesAction).to.deep.equal({
      type: _constants.ADD_INTERACTION_TYPES,
      payload: arrayOfTypes
    });
  });
});